Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.portlet.controller.request
Class PortletResourceRequest

    java.lang.Object
      org.jboss.portal.portlet.controller.request.ControllerRequest
          org.jboss.portal.portlet.controller.request.ContainerRequest
              org.jboss.portal.portlet.controller.request.PortletResourceRequest

    public class PortletResourceRequest

extends ContainerRequest

Version:
  $Revision: 630 $
Author:
  Julien Viet

Nested Class Summary
`static class` | `PortletResourceRequest.FullScope`
`static class` | `PortletResourceRequest.PageScope`
`static class` | `PortletResourceRequest.PortletScope`
`static class` | `PortletResourceRequest.Scope`

Constructor Summary
`PortletResourceRequest(java.lang.String windowId, java.lang.String resourceId, StateString resourceState, java.util.Map<java.lang.String,java.lang.String[]> bodyParameters, PortletResourceRequest.Scope scope)` Build a new portlet resource request.

Method Summary
`java.util.Map<java.lang.String,java.lang.String[]>` | `getBodyParameters()`
`CacheLevel` | `getCacheability()`
`PortletPageNavigationalState` | `getPageNavigationalState()` Returns the page navigational state or null if that kind of request cannot have one.
`java.lang.String` | `getResourceId()`
`StateString` | `getResourceState()`
`PortletResourceRequest.Scope` | `getScope()`

Methods inherited from class org.jboss.portal.portlet.controller.request.ContainerRequest
`getWindowId`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PortletResourceRequest

    public PortletResourceRequest(java.lang.String windowId,
                                  java.lang.String resourceId,
                                  StateString resourceState,
                                  java.util.Map<java.lang.String,java.lang.String[]> bodyParameters,
                                  PortletResourceRequest.Scope scope)
                           throws java.lang.IllegalArgumentException

  Build a new portlet resource request.

  Parameters:
    `windowId` - the window id
    `resourceId` - the resource id
    `resourceState` - the resource state
    `bodyParameters` - the body parameters
    `scope` - the scope
  Throws:
    `java.lang.IllegalArgumentException` - if the windows id, the resource state or the scope is null

Method Detail

### getScope

    public PortletResourceRequest.Scope getScope()

### getCacheability

    public CacheLevel getCacheability()

### getResourceId

    public java.lang.String getResourceId()

### getResourceState

    public StateString getResourceState()

### getBodyParameters

    public java.util.Map<java.lang.String,java.lang.String[]> getBodyParameters()

### getPageNavigationalState

    public PortletPageNavigationalState getPageNavigationalState()

  Description copied from class: `ControllerRequest`
  Returns the page navigational state or null if that kind of request cannot have one.

  Specified by:
    `getPageNavigationalState` in class `ControllerRequest`
  Returns:
    the page state

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.